php5 / mysql Problem in Version 1.6.3

Irgendwelche Probleme mit XAMPP für Windows? Dann ist hier genau der richtige Ort um nachzufragen.

php5 / mysql Problem in Version 1.6.3

Postby Canalegrande » 27. July 2007 06:33

Habe xampp 1.6.3 auf Vista installiert (leider im Moment keine andere Wahl) und es läuft alles bis auf die Kombination php5/mysql.

Wenn man den Apache stoppt und php-switch auf version 5 schaltet, ergibt eine anschließende Kontrolle mit phpinfo() dass mysql nicht mehr aufscheint. Hier die Ausgabe beim Switchen:

Code: Select all
  Starting configure XAMPP with PHP 5 ...

  Installing PHP5 in XAMPP now!

  Copy the current php.ini to C:\xampp\php\php4\php4.ini ... done!
  Copy the php5.ini to C:\xampp\apache\bin\php.ini ... done!

  Change PHP settings in C:\xampp\apache\conf\extra\httpd-xampp.conf ... done!

  Copy now all php5 dlls to C:\xampp\apache\bin

C:\xampp\php\fdftk.dll => C:\xampp\apache\bin\fdftk.dll
C:\xampp\php\fribidi.dll => C:\xampp\apache\bin\fribidi.dll
C:\xampp\php\gds32.dll => C:\xampp\apache\bin\gds32.dll
C:\xampp\php\libdb43.dll => C:\xampp\apache\bin\libdb43.dll
C:\xampp\php\libeay32.dll => C:\xampp\apache\bin\libeay32.dll
C:\xampp\php\libmcrypt.dll => C:\xampp\apache\bin\libmcrypt.dll
C:\xampp\php\libmhash.dll => C:\xampp\apache\bin\libmhash.dll
C:\xampp\php\libmysql.dll => C:\xampp\apache\bin\libmysql.dll
C:\xampp\php\libswish-e.dll => C:\xampp\apache\bin\libswish-e.dll
C:\xampp\php\msql.dll => C:\xampp\apache\bin\msql.dll
C:\xampp\php\msvcr71.dll => C:\xampp\apache\bin\msvcr71.dll
C:\xampp\php\ntwdblib.dll => C:\xampp\apache\bin\ntwdblib.dll
C:\xampp\php\php5apache2.dll => C:\xampp\apache\bin\php5apache2.dll
C:\xampp\php\php5ts.dll => C:\xampp\apache\bin\php5ts.dll
C:\xampp\php\ssleay32.dll => C:\xampp\apache\bin\ssleay32.dll
C:\xampp\php\yaz.dll => C:\xampp\apache\bin\yaz.dll
  Write the new PHP main version in C:\xampp\install\.phpversion

  OKAY ... PHP SWITCHING WAS SUCCESSFUL

  Now you can start the Apache with PHP 5 !
  Nun kannst du den Apache mit PHP 5 starten!


Wenn man wieder zurück auf php4 schaltet, funktioniert mysql wieder. Nachdem php4 bis Jahresende ausläuft, würde ich aber gerne darauf verzichten und php5 verwenden.

Habe ich irgendwas übersehen? :roll:
Canalegrande
 
Posts: 1
Joined: 27. July 2007 06:11

Postby piratos » 24. August 2007 11:34

The PHP development team hereby announces that support for PHP 4 will continue until the end of this year only. After 2007-12-31 there will be no more releases of PHP 4.4. We will continue to make critical security fixes available on a case-by-case basis until 2008-08-08. Please use the rest of this year to make your application suitable to run on PHP 5.


Der Anteil der PHP5 User liegt unter 20% - PHP 4 wird uns noch sehr lange erhalten bleiben - also keine Panik.
piratos
 
Posts: 45
Joined: 28. October 2004 10:10

Postby sari42 » 25. August 2007 23:12

Der Anteil der PHP5 User liegt unter 20% - PHP 4 wird uns noch sehr lange erhalten bleiben - also keine Panik.
so'n Quatsch!
phpMyAdmin z.B. wird php4 demnachst (ab Version 3.x) nicht mehr unterstützen.
Siehe http://gophp5.org
sari42
 
Posts: 800
Joined: 27. November 2005 18:28

Postby ronsn » 29. August 2007 20:12

Hast du den Server vorher beendet, dann erst den Switch durchgeführt und dann den Server neugestartet?
ronsn
 
Posts: 10
Joined: 29. August 2007 18:51


Return to XAMPP für Windows

Who is online

Users browsing this forum: No registered users and 11 guests